<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Kategori;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    public function index()
    {
        $kategori = Kategori::all();
        return view('admin.category.index', ['kategori' => $kategori]);
    }
    public function store(Request $request)
    {
        Kategori::create([
            "nama_kategori" => $request->nama_kategori,
            "nomor_kategori" => $request->nomor_kategori,
            "kategori_portion" => $request->kategori_portion,
            "kategori_portion_from" => $request->kategori_portion_from,
            "kategori_portion_to" => $request->kategori_portion_to,
        ]);
        return redirect()->route("category.index")->with("success", "Data kategori berhasil ditambahkan");
    }
    public function show($id)
    {
        return $id;
    }
    public function update(Request $request, $id)
    {
        Kategori::where('id_kategori', $id)->update([
            "nama_kategori" => $request->nama_kategori,
            "nomor_kategori" => $request->nomor_kategori,
            "kategori_portion" => $request->kategori_portion,
            "kategori_portion_from" => $request->kategori_portion_from,
            "kategori_portion_to" => $request->kategori_portion_to,
        ]);
        return redirect()->back();
    }
    public function delete($id)
    {
        Kategori::where('id_kategori', $id)->delete();
        return redirect()->back();
    }
}
